<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

require 'vendor/autoload.php'; // Path to Composer autoload

use Kreait\Firebase\Factory;

// Path to your JSON key file
$serviceAccountPath = __DIR__ . '/serviceAccountKey.json'; // Update with the correct path

// Initialize Firebase using the Factory class with the JSON key file
$factory = (new Factory)->withServiceAccount($serviceAccountPath);

$storage = $factory->createStorage();

// File to upload
$file = '230595060707_Cert.pdf'; // Replace with the path to your file

// Ensure the file exists
if (!file_exists($file)) {
    die("File not found: $file");
}

// Storage bucket and destination in Firebase Storage
$bucket = $storage->getBucket();
$object = $bucket->upload(file_get_contents($file), [
    'name' => 'cloudstore/' . basename($file)
]);

// Set the expiration date and time for the signed URL
$expirationDateTime = new \DateTime();
$expirationDateTime->modify('+1 minutes'); // Set the URL to expire in 10 minutes

// Get the download URL of the uploaded file with the expiration date
$downloadUrl = $object->signedUrl($expirationDateTime);

echo "File uploaded successfully. Download URL: $downloadUrl";
?>
