<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);

require 'vendor/autoload.php'; // Path to Composer autoload

use Kreait\Firebase\Factory;

// Path to your JSON key file
$serviceAccountPath = __DIR__ . '/serviceAccountKey.json'; // Update with the correct path

// Initialize Firebase using the Factory class with the JSON key file
$factory = (new Factory)->withServiceAccount($serviceAccountPath);

$storage = $factory->createStorage();

// Function to delete a file from Firebase Storage
function deleteFileFromStorage($filePath)
{
    global $storage;

    // Get the bucket
    $bucket = $storage->getBucket();

    // Delete the file
    try {
        $object = $bucket->object($filePath);
        $object->delete();
        echo "File deleted successfully: $filePath";
    } catch (\Exception $e) {
        echo "Error deleting file $filePath: " . $e->getMessage();
    }
}

// Example usage:
$fileToDelete = 'cloudstore/230595060707_Cert.pdf'; // Replace with the path to the file you want to delete

// Call the function to delete the file
deleteFileFromStorage($fileToDelete);
?>
